apps/core/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _

from .views import ContactView, ImprintView, IndexView

app_name = 'core'
urlpatterns = [
    path("", IndexView.as_view(), name='index'),
    # Translators: URL pattern
    path(_("contact/"), view=ContactView.as_view(), name='contact'),
    # Translators: URL pattern
    path(_("imprint/"), view=ImprintView.as_view(), name='imprint'),
]

config/urls.py
from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

urlpatterns = i18n_patterns(
    path("", include('apps.core.urls', namespace='core')),
    path("", include('apps.recordings.urls', namespace='recordings')),
    path("", include('apps.references.urls', namespace='references')),
) + [path('i18n/', include('django.conf.urls.i18n')), path("admin/", admin.site.urls)]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

apps/core/models.py
from django.db import models


class EditorialOrderingBase(models.Model):
    """
    Provide an integer field for editorial ordering.
    """

    editorial_order = models.PositiveSmallIntegerField(
        default=0, verbose_name="Reihenfolge"
    )

    class Meta:
        abstract = True

apps/core/views.py
from django.views.generic import TemplateView

from apps.recordings.models import AudioRecording, Category, VideoRecording
from apps.references.models import Artist, Corporation


class ContactView(TemplateView):
    template_name = 'core/contact.html'


class ImprintView(TemplateView):
    template_name = 'core/imprint.html'


class IndexView(TemplateView):
    template_name = 'core/index.html'

    def get_context_data(self, *args, **kwargs):
        context_data = super().get_context_data(*args, **kwargs)

        PREVIEW_COUNT__AUDIO = 12
        PREVIEW_COUNT__VIDEO = 6

        # Gather recording productions.
        category = Category.objects.get(id='recording')
        audio_recordings = (
            AudioRecording.objects.filter(category=category)
            .editorial_order()
            .prefetch_roles()
        )
        video_recordings = VideoRecording.objects.editorial_order().prefetch_roles()
        context_data.update(
            {
                'recording': {
                    'title': category.name,
                    'audio_recordings': audio_recordings[:PREVIEW_COUNT__AUDIO],
                    'video_recordings': video_recordings[:PREVIEW_COUNT__VIDEO],
                }
            }
        )

        # Gather references.
        context_data.update(
            {
                'references': {
                    'artist_names': Artist.objects.display_names_list(),
                    'corporation_names': Corporation.objects.names_list(),
                }
            }
        )

        # Gather remastering productions.
        category = Category.objects.get(id='remastering')
        remastering = (
            AudioRecording.objects.filter(category=category)
            .editorial_order()
            .prefetch_roles()
        )
        context_data.update(
            {
                'remastering': {
                    'title': category.name,
                    'recordings': remastering[:PREVIEW_COUNT__AUDIO],
                }
            }
        )

        return context_data

apps/core/templates/core/about.html
{% load i18n %}
{% load static %}

<article class="section-board__section titled-content about">
  <a name="{{ site_map.about.anchor_name }}">
    <h1 class="titled-content__title">
      <span class="titled-content__title-text">{{ site_map.about.label }}</span>
      <span class="titled-content__title-line"></span>
    </h1>
  </a>
  <div class="titled-content__content about__content">
    <div class="about__image-wrapper">
      <img class="about__image"
           src="{% static 'core/images/justus_beyer.jpg' %}"
           alt="Justus Beyer"/>
    </div>
    <div class="about__text-wrapper">
      <h2 class="about__text about__name">Justus Beyer</h2>
      <p class="about__text about__bio">
        {% blocktrans trimmed %}
          Diploma in 2014 at the
          <i class="about__institution">Universität der Künste Berlin</i>.
        {% endblocktrans %}
      </p>
      <p class="about__text about__bio">
        {% blocktrans trimmed %}
          Since then working for and with various musicians, labels, studios and
          broadcasting companies as a freelance producer, engineer, editor and
          (re&#8209;)mastering engineer.
        {% endblocktrans %}
      </p>
    </div>
  </div>
</article>

apps/core/templates/core/base.html
{% load i18n %}
{% load change_language %}
{% load static %}

{% get_current_language as LANGUAGE_CODE %}
{% get_available_languages as LANGUAGES %}
{% get_language_info_list for LANGUAGES as languages %}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <title>Justus Beyer – Diplom-Tonmeister · Recording Producer</title>
    <meta charset="utf-8">
    <!-- Enter a brief description of your page -->
    <meta name="description" content="">
    <!-- Define a viewport to mobile devices to use - telling the browser to assume that the page is
    as wide as the device (width=device-width, and setting the initial page zoom level to be 1
    (initial-scale=1.0), and fixing width=device-width for iOS9 (shtink-to-fit=no) -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css?family=Oswald:200,300,400,500,600,700&amp;subset=latin-ext"
          rel="stylesheet">
    <link href="{% static 'core/css/styles.css' %}"
          rel="stylesheet"
          media="all">
  </head>
  <body class="footer-manager">
    <div class="footer-manager__non-footer non-footer-scaffold">
      <div class="non-footer-scaffold__header section-board">
        <header class="section-board__section header">
          <div class="header__canvas">
            <h1 class="header__site-title">Justus Beyer – Diplom-Tonmeister · Recording Producer</h1>
            <a href="{% url 'core:index' %}">
              <img class="header__logo"
                   src="{% static 'core/images/logo.png' %}"
                   alt="Justus Beyer – Diplom-Tonmeister · Recording Producer"
                   aria-hidden="true">
            </a>
            <nav class="header__language-selector language-selector">
              <div class="language-selector__current-language">{{ LANGUAGE_CODE }}</div>
              <ul class="language-selector__available-languages language-selector__available-languages--hidden">
                {% for language in languages %}
                  <li class="language-selector__available-language">
                    <a class="language-selector__language-link"
                       rel="alternate"
                       href="{% change_to_language language.code %}"
                       hreflang="{{ language.code }}">
                      {{ language.name_local|lower }}
                    </a>
                  </li>
                {% endfor %}
              </ul>
            </nav>
            <nav class="header__menu">
              <div class="header__hamburger" aria-hidden="true">
                <span class="header__hamburger-line"></span>
                <span class="header__hamburger-line"></span>
                <span class="header__hamburger-line"></span>
              </div>
              {% for item in header_menu_items %}
                <a class="header__menu-item header__menu-item--desktop"
                   href="{% url item.url_name %}{% if item.anchor_name %}#{{ item.anchor_name }}{% endif %}">
                  {{ item.label }}
                </a>
              {% endfor %}
              <a class="header__menu-item header__menu-item--desktop header__contact"
                 href="{% url header_contact.url_name %}">{{ header_contact.label }}</a>
            </nav>
            <nav class="header__mobile-menu header__mobile-menu--hidden"
                 aria-hidden="true">
              {% for item in header_menu_items %}
                <a class="header__menu-item header__menu-item--mobile"
                   href="{% url item.url_name %}{% if item.anchor_name %}#{{ item.anchor_name }}{% endif %}">
                  {{ item.label }}
                </a>
              {% endfor %}
            </nav>
          </div>
        </header>
      </div>
      <main class="non-footer-scaffold__main section-board">
        {% block content %}
        {% endblock content %}

      </main>
    </div>
    <div class="footer-manager__footer section-board">
      <footer class="section-board__section footer">
        <address class="footer__address">
          <p class="footer__site-title">Justus Beyer</p>
          <p>
            Diplom-Tonmeister&ensp;<span class="footer__separation-character">|</span>&ensp;recording producer
          </p>
          <a href="tel:‭+4917626597653‬">‭+49 176 / 26 59 76 53‬</a>
          <a href="mailto:info@justusbeyer.com‬">info@justusbeyer.com‬</a>
        </address>
        <nav class="footer__menu">
          <div class="footer__menu-subgroup footer__menu_primary">
            {% for item in footer_menu_items__primary %}
              <a class="footer__menu-item" href="{% url item.url_name %}">{{ item.label }}</a>
            {% endfor %}
          </div>
          <div class="footer__menu-subgroup footer__menu-secondary">
            {% for item in footer_menu_items__secondary %}
              <a class="footer__menu-item"
                 href="{% url item.url_name %}{% if item.anchor_name %}#{{ item.anchor_name }}{% endif %}">
                {{ item.label }}
              </a>
            {% endfor %}
          </div>
        </nav>
      </footer>
    </div>
  </body>
  <script src={% static 'core/js/script-min.js' %}></script>
</html>

apps/core/templates/core/contact.html
{% extends 'core/base.html' %}

{% load static %}

{% block content %}
  <article class="section-board__section section-board__section--grow titled-content titled-content--responsive-spacing contact">
    <h1 class="titled-content__title">
      <span class="titled-content__title-text">{{ site_map.contact.label }}</span>
      <span class="titled-content__title-line"></span>
    </h1>
    <div class="contact__content">
      <div class="contact__image-wrapper">
        <img class="contact__image"
             src="{% static 'core/images/justus_beyer.jpg' %}"
             alt="Justus Beyer"/>
      </div>
      <div class="contact__button-wrapper">
        <a class="contact__button contact__phone" href="tel:+4917626597653">+49 176 / 26 59 76 53</a>
        <a class="contact__button contact__email"
           href="mailto:info@justusbeyer.com‬">info@justusbeyer.com‬</a>
      </div>
    </div>
  </article>
{% endblock content %}

apps/core/templates/core/dummy.html
{% extends 'core/base.html' %}

{% block content %}
  <article class="section-board__section">
    <p>
      Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis mollis justo ac feugiat posuere. Proin ut tincidunt tellus. Donec sit amet venenatis urna. Cras vitae ipsum nulla. Sed feugiat, dui vel varius ullamcorper, est libero semper neque, sed hendrerit quam urna sed arcu. Aliquam hendrerit ut nulla in placerat. Proin cursus viverra quam. Cras commodo felis feugiat, luctus ex et, auctor ante. Cras dictum ex pretium porta aliquam.
    </p>
    <p>
      Vivamus consectetur porta libero nec convallis. Nullam in eros commodo, condimentum lacus eget, condimentum leo. Maecenas at orci sit amet massa imperdiet feugiat non sed tellus. In semper convallis urna sit amet fringilla. Cras sit amet dui aliquam, interdum nibh id, interdum tortor. Vestibulum tristique massa at leo ultricies lobortis id ac turpis. Fusce posuere egestas bibendum. Curabitur at sagittis est. Sed feugiat libero tellus, quis pulvinar neque aliquam iaculis. Duis ac fringilla arcu. In hac habitasse platea dictumst. Aliquam eu iaculis lectus. Nunc sed lobortis mi. In interdum leo fermentum efficitur bibendum. Sed rutrum erat ac diam varius, a tempor mi commodo.
    </p>
    <p>
      Suspendisse porta, enim ac dapibus porta, tortor eros sodales dui, sit amet aliquam dui ipsum ut augue. Donec gravida porttitor arcu, nec iaculis risus venenatis eget. Donec a luctus lacus, in volutpat augue. Ut sagittis accumsan quam. Duis vel ante eget neque volutpat aliquam ut ac ligula. Maecenas finibus justo ac laoreet eleifend. Nulla eu egestas est. Aliquam nulla ipsum, porta vel dolor ut, vestibulum gravida magna. Pellentesque et augue et ligula tincidunt tincidunt. Etiam ac aliquam mi. Nam tincidunt ipsum id ipsum bibendum, consequat rhoncus dui pellentesque.
    </p>
    <p>
      Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Pellentesque iaculis tortor vel nunc ultricies vestibulum. Morbi auctor viverra cursus. Nam eget ipsum ex. Integer suscipit orci non finibus condimentum. Nullam pretium diam sit amet odio euismod dignissim. Nulla risus orci, sodales vel auctor quis, sagittis quis purus. Donec vel quam lobortis, porttitor neque a, laoreet augue. Nunc eu nunc eu orci finibus pellentesque. Proin vitae mauris at lacus lacinia vestibulum nec lacinia eros. Praesent elementum leo sed tristique suscipit. Suspendisse hendrerit est in convallis ultrices.
    </p>
    <p>
      Praesent nibh odio, volutpat quis tortor quis, consectetur imperdiet sem. Fusce ut urna vel libero egestas molestie. Maecenas eget nulla id augue vestibulum pharetra. Aenean id rutrum lacus. Duis eget tortor efficitur, faucibus erat non, pulvinar magna. In hac habitasse platea dictumst. Duis sollicitudin turpis sit amet augue ornare mollis. Integer volutpat ante in est vulputate vestibulum. Pellentesque eget ex pretium, tempus enim vel, ullamcorper nibh. Suspendisse faucibus nibh sit amet diam efficitur rutrum.
    </p>
    <p>
      Phasellus et neque venenatis, ullamcorper lacus vitae, blandit orci. Quisque eget congue enim. Curabitur quis orci non leo sodales porta. Sed nisl nibh, molestie in aliquam ut, rutrum sit amet odio. Aliquam rhoncus risus a sapien pulvinar, tristique molestie sapien tempus. Nulla at diam ultricies, euismod urna vitae, efficitur orci. Aenean vitae tempus neque. Donec pellentesque in nisi nec commodo. Praesent posuere dolor quis eros bibendum iaculis. Nunc consectetur fringilla feugiat. Pellentesque quis dolor tellus. Vivamus purus dolor, blandit ac dictum eu, ornare a leo. Aenean dignissim est eu orci ornare pellentesque. Pellentesque luctus nunc ac nunc tempor, in mollis sapien ullamcorper. Vivamus nulla sapien, cursus eget risus id, lobortis porttitor risus.
    </p>
    <p>
      Donec cursus justo vel nulla dictum, ut dictum nisl feugiat. Nunc a nunc neque. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer rutrum non nulla at tristique. Phasellus mattis quam mi, id posuere nibh mattis lobortis. Donec et tempor eros. Nunc a fringilla augue.
    </p>
  </article>
{% endblock content %}

apps/core/templates/core/imprint.html
{% extends 'core/base.html' %}

{% load i18n %}

{% block content %}
  <article class="section-board__section section-board__section--grow titled-content imprint">
    <h1 class="titled-content__title">
      <span class="titled-content__title-text">{{ site_map.imprint.label }}</span>
      <span class="titled-content__title-line"></span>
    </h1>
    <div class="imprint__content">
      <section class="imprint__section imprint__responsible">
        <h2 class="imprint__subheading">{% trans "responsible for the contents" %}</h2>
        <p>
          Justus Beyer
          <br/>
          Melchiorstraße 4
          <br/>
          10179 Berlin
          <br/>
          Deutschland
        </p>
        <p>
          <a href="tel:+4917626597653">+49 176 / 26 59 76 53</a>
        </p>
        <p>
          <a href="mailto:info@justusbeyer.com‬">info@justusbeyer.com</a>‬
        </p>
      </section>
      <section class="imprint__section imprint__design-credits">
        <h2 class="imprint__subheading">{% trans "design and programming" %}</h2>
        <p>
          Gregor Gärtner
          <br/>
          <a href="mailto:gestaltung@gregorgaertner.de">gestaltung@gregorgaertner.de</a>
        </p>
      </section>
      <section class="imprint__section imprint__disclaimer">
        <h2 class="imprint__subheading">{% trans "disclaimer" %}</h2>
        <p>
          {% blocktrans trimmed %}
            Despite careful content control, no liability is assumed for the content of external
            links. The respective provider or operator of the pages is always responsible for the
            contents of the linked pages.
          {% endblocktrans %}
        </p>
      </section>
    </div>
  </article>
{% endblock content %}

apps/core/templates/core/index.html
{% extends 'core/base.html' %}

{% block content %}
  {% include 'recordings/recordings_panel.html' with title=recording.title audio_recordings=recording.audio_recordings video_recordings=recording.video_recordings detail_url_audio='recordings:recording' detail_url_video='recordings:recording' preview_extraspace=True %}
  {% include 'core/about.html' %}
  {% include 'references/references_list.html' with artist_names=references.artist_names corporation_names=references.corporation_names detail_url='references:references' %}
  {% include 'recordings/recordings_panel.html' with title=remastering.title audio_recordings=remastering.recordings detail_url_audio='recordings:remastering' %}

{% endblock content %}